跳转到内容
简体中文

发件人规则

PUT/v1/mailboxes/{mailbox_id}/sender-rules

为地址 sender. 创建或更新规则 指定 action=spam 将来自发件人的新电子邮件定向到垃圾邮件,或指定 action=allow 以允许其电子邮件。该规则适用于将来传入的电子邮件。

授权和访问区域 · 错误和重复

要求

终端窗口
curl -X PUT 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/sender-rules' \
-H 'Authorization: Bearer <access_token>' \
-H 'Content-Type: application/json' \
--data '{"sender":"[email protected]","action":"spam"}'

选项

mailbox_idpath一定

integer

X-Customer-IDheader
选项 1

string

选项 2

null

请求正文 · application/json

object

sender一定

string

action

string

有效值: "spam" "allow"

默认: "spam"

不接受未知字段。

响应

202 成功回复

application/json

object

id

string · uuid

用于检查状态和取消待处理提交的操作 ID。

kind

string

mailbox_id
选项 1

integer

选项 2

null

status

string

有效值: "queued" "running" "succeeded" "failed" "uncertain" "cancelled"

run_at

string

UTC. 中的日期和时间 如果没有偏移,该值也代表 UTC.

created_at

string

UTC. 中的日期和时间 如果没有偏移,该值也代表 UTC.

completed_at
选项 1

string

UTC. 中的日期和时间 如果没有偏移,该值也代表 UTC.

选项 2

null

error

如果操作未成功完成,则错误的原因。

选项 1

string

选项 2

null

result

操作的结果。对于发送,包含有关接受和拒绝的收件人的信息。

选项 1

object

选项 2

null

401 需要登录

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

403 无法访问

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

404 找不到资源

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

409 国家冲突

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

422 验证错误

application/json

object

detail

array

数组元素

object

loc一定

array

数组元素
选项 1

string

选项 2

integer

msg一定

string

type一定

string

503 暂时无法使用

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object